| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes

# IG::Lib::ThreadPerformanceData Struct Reference

Stores results of performance test. More...

Collaboration diagram for IG::Lib::ThreadPerformanceData:
[legend]

List of all members.

## Public Member Functions
void | CopyFrom (ThreadPerformanceData data)
| Copies data from another ThreadPerformanceData structure.
override string | ToString ()
## Public Attributes
DateTime | Time
| Time at which data has been acquired.
double | NumCycles
| Number of standard cycles executed in the test.
double | CyclesPerSecond
| Number of standard cycles per second - the ultimate performance measure. Standard cycle is executed by ThreadPerformanceTest.StandardCycle().
double | PerformanceRatio
| Ratio between the CPU time and wall clock time spent for the test. Indicates how much the CPU is loaded (the smaller the value, teh more it is loaded). Should be between 0 and 1.
double | TotalTime
| Total wallclock time spent for the test.
int | NumIterations
| Number of iterations necessary to hit the requested time interval.

## Detailed Description

Stores results of performance test.

## Member Function Documentation

void IG::Lib::ThreadPerformanceData::CopyFrom | ( | ThreadPerformanceData | data | ) | `[inline]`

Copies data from another ThreadPerformanceData structure.

Parameters:

  data |

override string IG::Lib::ThreadPerformanceData::ToString | ( |  | ) | `[inline]`

## Member Data Documentation

DateTime IG::Lib::ThreadPerformanceData::Time

Time at which data has been acquired.

double IG::Lib::ThreadPerformanceData::NumCycles

Number of standard cycles executed in the test.

double IG::Lib::ThreadPerformanceData::CyclesPerSecond

Number of standard cycles per second - the ultimate performance measure. Standard cycle is executed by ThreadPerformanceTest.StandardCycle().

double IG::Lib::ThreadPerformanceData::PerformanceRatio

Ratio between the CPU time and wall clock time spent for the test. Indicates how much the CPU is loaded (the smaller the value, teh more it is loaded). Should be between 0 and 1.

double IG::Lib::ThreadPerformanceData::TotalTime

Total wallclock time spent for the test.

int IG::Lib::ThreadPerformanceData::NumIterations

Number of iterations necessary to hit the requested time interval.

The documentation for this struct was generated from the following file:

- ThreadPerformanceTest.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events